#include <bits/stdc++.h>

using namespace std;

int main() {
    ios::sync_with_stdio(0);
    cin.tie(0);
    int n, L;
    cin >> n >> L;
    int a[n+1];
    for (int i = 1; i <= n; ++i)    cin >> a[i];
    for (int i = 1; i <= n; ++i) {
        if (a[i] <= L) {
            cout << i << '\n';
            return 0;
        }
    }
    cout << -1 << '\n';
}